For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get Inventory
      • GET Get All Inventories
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • GET Get Inventory Levels Grouped By Lot
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Delete Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get Inventory Levels Grouped By Lot

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/inventory-level/:inventoryId/lots
GET
/Experimental/inventory-level/:inventoryId/lots
$curl https://sandbox-api.shipbob.com/Experimental/inventory-level/1/lots \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "lots": [
4 {
5 "awaiting_quantity": 0,
6 "committed_quantity": 0,
7 "damaged_quantity": 0,
8 "exception_quantity": 0,
9 "fulfillable_quantity": 0,
10 "in_fulfillment_quantity": 0,
11 "internal_transfer_quantity": 0,
12 "locations": [
13 {
14 "awaiting_quantity": 0,
15 "committed_quantity": 0,
16 "damaged_quantity": 0,
17 "exception_quantity": 0,
18 "fulfillable_quantity": 0,
19 "in_fulfillment_quantity": 0,
20 "internal_transfer_quantity": 0,
21 "location_id": 0,
22 "name": "string",
23 "on_hand_quantity": 0,
24 "quarantine_quantity": 0,
25 "userId": 0
26 }
27 ],
28 "lot_date": "2019-08-24T14:15:22+00:00",
29 "lot_number": "string",
30 "on_hand_quantity": 0,
31 "quarantine_quantity": 0,
32 "userId": 0
33 }
34 ],
35 "name": "string",
36 "sku": "string",
37 "userId": 0
38}
Retrieves inventory levels for a specific inventory item broken down by lot number. Useful for tracking inventory by manufacturing lot, expiration date, or batch information.
Was this page helpful?
Previous

Get Inventory Levels

Next

Get Lot Exclusions

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdintegerRequired

Response

OK
inventory_idinteger
lotslist of objects
namestring
skustring
userIdinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error